// convex/crons.ts
import { cronJobs } from 'convex/server';
import { api } from './_generated/api';

const crons = cronJobs();

crons.cron(
  // Run at 7:00 AM CST / 8:00 AM CDT
  // Only on weekdays
  'Schedule Automatic Lunches',
  '0 13 * * 1-5',
  api.statuses.automaticLunch,
);

crons.cron(
  'End of shift (weekdays 5pm CT)',
  // Run at 4:00 PM CST / 5:00 PM CDT
  // Only on weekdays
  '0 22 * * 1-5',
  api.statuses.endOfShiftUpdate,
);

export default crons;
